# base64_decode

(PHP 4, PHP 5, PHP 7)

base64_decode — Decodes data encoded with MIME base64

### Description

base64_decode ( string `$data` [, bool `$strict` = `FALSE` ] ) : string

Decodes a base64 encoded `data`.

### Parameters

`data`

  The encoded data.

`strict`

  If the `strict` parameter is set to `TRUE` then the base64_decode() function will return `FALSE` if the input contains character from outside the base64 alphabet. Otherwise invalid characters will be silently discarded.

### Return Values

Returns the decoded data or `FALSE` on failure. The returned data may be binary.

### Changelog

Version | Description
--- | ---
5.2.0 | `strict` added

### Examples

Example #1 base64_decode() example

`<?php
$str = 'VGhpcyBpcyBhbiBlbmNvZGVkIHN0cmluZw==';
echo base64_decode($str);
?>`

The above example will output:

    This is an encoded string

### See Also

- base64_encode() - Encodes data with MIME base64
- » RFC 2045 section 6.8